tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Markus Schönhaber <tomcat-us...@list-post.mks-mail.de>
Subject Re: Tomcat 7: Why is JDK needed ?
Date Sat, 23 Jul 2011 13:16:50 GMT
21.07.2011 21:58, Bobi St:

> why is Why is JDK needed also for Tomcat 7 ? Does it use a compiler, or why not simply
using for example jre6 ?!?
> I have to install always extra JDK because of it ...

Who says Tomcat needs a JDK?
From
<http://apache.mirror.digionline.de/tomcat/tomcat-7/v7.0.19/RELEASE-NOTES>
| In addition, Tomcat 7.0 uses the Eclipse JDT Java compiler for
| compiling JSP pages.  This means you no longer need to have the
| complete Java Development Kit (JDK) to run Tomcat, but a Java Runtime
| Environment (JRE) is sufficient.  The Eclipse JDT Java compiler is
| bundled with the binary Tomcat distributions.  Tomcat can also be
| configured to use the compiler from the JDK to compile JSPs, or any
| other Java compiler supported by Apache Ant.

Ancient versions of Tomcat did, by default, use the JDK's compiler to
compile JSPs. Therefore, if you wanted Tomcat to compile JSPs on the
fly, a JRE, by default, wasn't enough.
But that was long, long ago and has never been the case for Tomcat 7.

-- 
Regards
  mks

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message